%define rev %nil

Name: nagios
Version: 2.7
Release: alt1

%define nagios_usr nagios
%define nagios_grp nagios
%define httpd_grp apache

Summary: Services and network monitoring system
Summary(ru_RU.KOI8-R):     .
License: GPL
Group: Monitoring
URL: http://www.nagios.org

Source0: %name-%version%rev.tar.gz

# Apache config for Nagios(R)
Source1: %name.conf

# Apache user/password file for Nagios(R)
# contains defaults: user=nagios, password=nagios
Source2: %name.web-users

# init-script for Nagios(R)
Source3: %name.init

# fix some default paths
Patch0: %name-2.6-alt-makefile.patch
Patch1: %name-2.0b1-alt-eperlfix.patch
Patch2: %name-2.0b1-alt-paths.patch
Patch3: %name-2.4-alt-scripts.patch
Patch4: %name-2.6-alt-cgi.patch
Patch5: %name-2.7-alt-config.patch

Patch265: %name-2.6-alt-config.patch

###########################################
# Provide the abstract service names (which are virtual pkg names),
# specify their origin (our pkg name as the epoch + version-release):
Provides: nagios-daemon = %name:%version-%release

# Conflict with all other real pkgs which provide the same services
# (they should specify the origin the same way, so the epoch-version-release
# of the virtual pkgs POP3D & IMAPD will always differ from that of ours if
# they are provided by a different real pkg):
Conflicts: nagios-daemon < %name:%version-%release
Conflicts: nagios-daemon > %name:%version-%release
#
########################################
PreReq: %name-common = %version-%release
Requires: nagios-plugins

# Automatically added by buildreq on Sun Feb 12 2006
BuildRequires: libgd2-devel libjpeg-devel libltdl-devel libpng-devel perl-devel traceroute zlib-devel

%description
Nagios(R) is a host and service monitor designed to inform you of network
problems before your clients, end-users or managers do. It has been
designed to run under the Linux operating system, but works fine under
most *NIX variants as well. The monitoring daemon runs intermittent
checks on hosts and services you specify using external "plugins" which
return status information to Nagios(R). When problems are encountered, the
daemon can send notifications out to administrative contacts in a variety
of different ways (email, instant message, SMS, etc.). Current status
information, historical logs, and reports can all be accessed via a web
browser.

%description -l ru_RU.KOI8-R
Nagios(R)      ,  
-             
  . Nagios(R)       Linux, 
      *NIX- .  
/       - "plug-ins".
   ,     
   web-.

%package common
Summary: Services and network monitor, common files
Summary(ru_RU.KOI8-R):     ,  
Group: Monitoring

%description common
Nagios(R) is a host and service monitor designed to inform you of network
problems before your clients, end-users or managers do. It has been
designed to run under the Linux operating system, but works fine under
most *NIX variants as well. The monitoring daemon runs intermittent
checks on hosts and services you specify using external "plugins" which
return status information to Nagios(R). When problems are encountered, the
daemon can send notifications out to administrative contacts in a variety
of different ways (email, instant message, SMS, etc.). Current status
information, historical logs, and reports can all be accessed via a web
browser.

%description common -l ru_RU.KOI8-R
Nagios(R)      ,  
-             
  . Nagios(R)       Linux, 
      *NIX- .  
/       - "plug-ins".
   ,     
   web-.

%package www
Summary: Services and network monitor, common files for web-interface
Summary(ru_RU.KOI8-R):     , web-
Group: Monitoring
PreReq: %name-common = %version-%release webserver
Obsoletes: nagios-default-www nagios-mysql-www nagios-pgsql-www

%description www
Nagios(R) is a host and service monitor designed to inform you of network
problems before your clients, end-users or managers do. It has been
designed to run under the Linux operating system, but works fine under
most *NIX variants as well. The monitoring daemon runs intermittent
checks on hosts and services you specify using external "plugins" which
return status information to Nagios(R). When problems are encountered, the
daemon can send notifications out to administrative contacts in a variety
of different ways (email, instant message, SMS, etc.). Current status
information, historical logs, and reports can all be accessed via a web
browser.

%description www -l ru_RU.KOI8-R
Nagios(R)      ,  
-             
  . Nagios(R)       Linux, 
      *NIX- .  
/       - "plugins".
   ,     
   web-.

%package doc
Summary: Services and network monitor, HTML-documentation
Summary(ru_RU.KOI8-R):     , HTML-
Group: Monitoring

%description doc
HTML-documentation for Nagios(R) monitoring system.

%description doc -l ru_RU.KOI8-R
HTML-    Nagios(R).

%package full
Summary: Services and network monitor. Virtual package for complete install
Summary(ru_RU.KOI8-R):     .     .
Group: Monitoring
PreReq: nagios-common
PreReq: nagios
PreReq: nagios-www
Requires: nagios-plugins
Requires: nagios-plugins-local
Requires: nagios-plugins-network
Requires: nagios-plugins-perl

%description full
Virtual package for complete install of Nagios(R) monitoring system.

%description full -l ru_RU.KOI8-R
       Nagios(R).

%prep
%setup -q -n %name-%version%rev
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
PATH=$PATH:/usr/sbin
%configure \
	--enable-nanosleep \
	--enable-event-broker \
	--enable-embedded-perl \
	--with-nagios-user=%nagios_usr \
	--with-nagios-group=%nagios_grp \
	--with-command-user=%nagios_usr \
	--with-command-group=%nagios_grp \
	--with-cgiurl=/%name/cgi-bin \
	--with-htmurl=/%name \
	--with-init-dir=%_initdir \
	--with-lockfile=/var/run/%name.pid \
	--with-mail=/bin/mail \
	--with-perlcache \

%make_build all
cd contrib
%make_build all
cd ..

%install
make DESTDIR=%buildroot install
make DESTDIR=%buildroot install-commandmode
make DESTDIR=%buildroot install-config

%__mkdir_p %buildroot/%_initrddir
%__mkdir_p -m 0755 %buildroot/%_docdir/%name-%version/html

%__install -m 0755 %SOURCE3 %buildroot/%_initrddir/%name

# install contrib tools and docs
pushd contrib
 %__mkdir_p -m 0755 %buildroot/%_libexecdir/%name/contrib
 %__install -m 0755 convertcfg %buildroot/%_libexecdir/%name/contrib/
 %__install -m 0755 traceroute.cgi %buildroot/%_libexecdir/%name/contrib/
 %__install -m 0755 mini_epn %buildroot/%_libexecdir/%name/contrib/
 %__install -m 0755 new_mini_epn %buildroot/%_libexecdir/%name/contrib/
 %__install -m 0755 p1.pl %buildroot/%_libexecdir/%name/
 %__install -m 0644 README %buildroot/%_docdir/%name-%version/README.contrib
popd

# install eventhandlers
%__mkdir_p -m 0755 %buildroot/%_libexecdir/%name/eventhandlers
pushd contrib/eventhandlers
 for file in `/bin/find ./ -type f -print` ; do
  %__install -m 0755 $file %buildroot/%_libexecdir/%name/eventhandlers/
 done

popd

#instal docs
%__install -m 0644 Changelog %buildroot/%_docdir/%name-%version/
%__install -m 0644 INSTALLING %buildroot/%_docdir/%name-%version/
%__install -m 0644 LEGAL %buildroot/%_docdir/%name-%version/
%__install -m 0644 README %buildroot/%_docdir/%name-%version/
%__install -m 0644 UPGRADING %buildroot/%_docdir/%name-%version/
%__install -m 0644 OutputTrap.pm %buildroot/%_docdir/%name-%version/
%__cp -r html/docs/* %buildroot/%_docdir/%name-%version/html

# misc 
%__mkdir_p %buildroot/%_localstatedir/%name/rw
%__mkdir_p %buildroot/%_localstatedir/%name/tmp
%__mkdir_p %buildroot/var/run
/bin/touch %buildroot/var/run/%name.pid

# install web-server configs
%__mkdir_p -m 0755 %buildroot/%_sysconfdir/httpd/conf/addon-modules.d/
%__install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/httpd/conf/addon-modules.d/
%__install -m 0640 %SOURCE2 %buildroot/%_sysconfdir/%name


%pre common
%_sbindir/groupadd -r -f %nagios_grp &>/dev/null
%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/%name \
    -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%post www
#if [ $1 = "1" ]; then
# echo "Include conf/addon-modules/nagios.conf" >> %_sysconfdir/httpd/conf/httpd.conf
#fi
if [ -f %_sbindir/apachectl ] ; then
 %_sbindir/apachectl update
fi

#preun www
#if [ $1 = "0" ]; then
#  %__subst "s|^Include conf/addon-modules/nagios.conf$||g;" \
#     %_sysconfdir/httpd/conf/httpd.conf
#fi

%postun www
if [ -x %_sbindir/apachectl ] ; then
 %_sbindir/apachectl update
fi

%files
%_initrddir/%name
%_sbindir/nagios
%_sbindir/nagiostats
%dir %_libexecdir/%name
%dir %_libexecdir/%name/contrib
%dir %_libexecdir/%name/eventhandlers
%_libexecdir/%name/contrib/*
%_libexecdir/%name/eventhandlers/*
%dir %_datadir/%name
%_libexecdir/%name/p1.pl
%dir %_docdir/%name-%version
%_docdir/%name-%version/*
%attr(0644,%nagios_usr,%nagios_grp) /var/run/%name.pid
%attr(2750,%nagios_usr,%httpd_grp) %dir %_localstatedir/%name/rw
%attr(0700,%nagios_usr,%nagios_grp) %dir %_localstatedir/%name/tmp

%files common
%dir %_sysconfdir/%name
%attr(2750,%nagios_usr,%httpd_grp) %dir %_localstatedir/%name
%attr(0640,root,%nagios_grp) %config(noreplace) %_sysconfdir/%name/resource.cfg
%config(noreplace) %_sysconfdir/%name/nagios.cfg
%config(noreplace) %_sysconfdir/%name/commands.cfg
%config(noreplace) %_sysconfdir/%name/localhost.cfg
%attr(0750,%nagios_usr,%httpd_grp) %dir %_logdir/%name
%attr(0750,%nagios_usr,%httpd_grp) %dir %_logdir/%name/archives

%files www
%config(noreplace) %_sysconfdir/%name/cgi.cfg
%attr(0640,root,%httpd_grp) %config(noreplace) %_sysconfdir/%name/%name.web-users
%config(noreplace) %_sysconfdir/httpd/conf/addon-modules.d/nagios.conf
%dir %_datadir/%name/html
%_datadir/%name/html/*
%dir %_libexecdir/%name
%dir %_libexecdir/%name/cgi
%_libexecdir/%name/cgi/*

%files doc
%dir %_docdir/%name-%version/html
%_docdir/%name-%version/html/*

%files full

%changelog
* Sat Jan 27 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 2.7-alt1
- 2.7

* Thu Nov 30 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.6-alt1
- 2.6

* Mon Jul 03 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.4-alt2
- spec-file fixes for x86_64 build

* Sat Jul 01 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.4-alt1
- 2.4
- add virtual package nagios-full with Requires:
   + nagios nagios-www
   + nagios-plugins
   + nagios-plugins-local
   + nagios-plugins-network
   + nagios-plugins-perl
- add package nagios-doc with HTML-documentation from web-interface
- nagios-www:
   + add webserver into 'Requires' list 
   + config file for Apache moved to /etc/httpd/conf/addon-modules.d/

* Sun Feb 12 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt1
- 2.0 release

* Sat Dec 24 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt0.b6
- 2.0b6
- nagios-www:
   + config file for Apache moved to /etc/httpd/conf/addon-modules/

* Sun Nov 06 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt0.b4.2
- 2.0b4

* Tue May 24 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt0.b3.1
- 2.0b3
- #6817 fixed

* Sun Feb 13 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt0.b2.1
- 2.0b2

* Fri Jan 07 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0-alt0.b1.1
- new beta
- support for MySQL and PgSQL dropped in upstream
- sub-packages redesign

* Sun Apr 18 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1.2-alt1
- v1.2 -- bugfix release

* Wed Dec 17 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.1-alt2
- spec-file fixes

* Thu Jul 03 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.1-alt1
- v1.1
- fix bugs #2605 and #2672
- init-script changed according to new requirements

* Wed Jun 18 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2.1
- move to new alternatives scheme

* Wed Apr 02 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0-alt2
- nagios-default-www:
  + change 'Requires:' from  nagios-mysql to nagios-default.

* Sun Mar 30 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0-alt1
- fix 'Provides' and 'Requires' for nagios-daemon virtual package

* Wed Feb 26 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0-alt0.2
- binary RPM-packages redesign
- template-based configuration support for the '-mysql' and '-pgsql' packages
- SQL-scripts for create MySQL- and PgSQL-tables placed into the %_docdir
- spec-file:
  + wrong home-dir for user nagios fixed
  + fix files/dir permissions, so CGI-scripts now can read Nagios(R) logs
    and write into the nagios.cmd file
  + add 'Provides: nagios-daemon' and 'Requires: nagios-plugins' into
    '-default', '-mysql' and '-pgsql' packages
  + cosmetic fixes

* Wed Dec 04 2002 Dmitry Lebkov <dlebkov@altlinux.ru> 1.0-alt0.1
- initial build for ALT Linux
